Page MenuHomePhabricator

eio/fallback: do not modify the children hash while iterating it
ClosedPublic

Authored by zmike on Jun 26 2018, 3:32 PM.

Details

Summary

this is invalid use of the hash api and will cause a crash

@fix
Depends on D6443

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 26 2018, 3:32 PM
zmike requested review of this revision.Jun 26 2018, 3:32 PM
ManMower accepted this revision.Jun 27 2018, 10:21 AM

This mistake is even warned against in our documentation. Nice catch.

This revision is now accepted and ready to land.Jun 27 2018, 10:21 AM
Closed by commit rEFL65afddf2ae79: eio/fallback: do not modify the children hash while iterating it (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:11 AM
This revision was automatically updated to reflect the committed changes.